Groovy Documentation

## org.codehaus.groovy.tools.groovydoc
[Java] Class MockOutputTool

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.MockOutputTool

All Implemented Interfaces:
  OutputTool

    public class MockOutputTool
    extends java.lang.Object

Constructor Summary
`MockOutputTool()`

Method Summary
`java.lang.String` | `getText(java.lang.String fileName)`
`boolean` | `isValidOutputArea(java.lang.String fileName)`
`void` | `makeOutputArea(java.lang.String filename)`
`java.lang.String` | `toString()`
`void` | `writeToOutput(java.lang.String fileName, java.lang.String text)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MockOutputTool

    public MockOutputTool()

Method Detail

### getText

    public java.lang.String getText(java.lang.String fileName)

### isValidOutputArea

    public boolean isValidOutputArea(java.lang.String fileName)

### makeOutputArea

    public void makeOutputArea(java.lang.String filename)

### toString

    public java.lang.String toString()

### writeToOutput

    public void writeToOutput(java.lang.String fileName, java.lang.String text)

Groovy Documentation